
%define pre b5

Name:           kobby
Version:        1.0
Release:        0.4.%{pre}%{?dist}
Summary:        Collaborative editor using the infinote protocol

Group:          Applications/Editors
License:        GPLv2+
#URL:            http://greghaynes.github.com/kobby/
URL:            http://kobby.greghaynes.net/home
# unfortunately, not spectool/wget/curl-friendly -- Rex
Source0:        http://kobby.greghaynes.net/file-cabinet/kobby-%{version}%{?pre}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libqinfinity-devel 
BuildRequires:  kdelibs4-devel

%description
KDE collaborative editor using the infinote protocol.


%prep
%setup -q -n kobby-%{version}%{?pre}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kobby --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kobby.desktop


%clean
rm -rf %{buildroot}


%files -f kobby.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_kde4_bindir}/kobby
%{_kde4_datadir}/applications/kde4/kobby.desktop
%{_kde4_configdir}.kcfg/kobbysettings.kcfg
%{_kde4_appsdir}/kobby/kobbyui.rc


%changelog
* Tue Jun 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0-0.4.b5
- 1.0b5

* Fri Dec 11 2009 Ben Boeckel <MathStuf@gmail.com> - 1.0-0.3.b4
- Update to beta4

* Thu Jul 30 2009 Ben Boeckel <MathStuf@gmail.com> 1.0-0.2.b3
- Fix summary

* Sat Jun 20 2009 Ben Boeckel <MathStuf@gmail.com> 1.0-0.1.b3
- Initial package
